Problemy GG na Ubuntu 13.10
Pokaż wyniki od 1 do 7 z 7

Wątek: Problemy GG na Ubuntu 13.10

  1. #1

    Dołączył
    11.12.2013
    Marka tel.
    Sony
    Posty
    3

    Problemy GG na Ubuntu 13.10

    1. Brak ikony w trayu (obszar powiadomień) mimo odpalenia unity_install.sh
    2. gg:// jest nie poprawnym protokołem, a mimo ustawnia na sztywno na gg, to i tak nie odpala okien.

  2. #2
    Instalacja gadu pod ubuntu 13.10 64-bit

    ctrl+alt+t

    cd /home/nazwauzytkownika/Pobrane

    Dla 64-bitowej wersji ubuntu 13.10

    wget http://pro.hit.gemius.pl/hitredir/id...elease/linux64

    Albo http://www.gadu-gadu.pl/ i pobierz sobie plik, jeśli masz 32-bitowe ubuntu.

    Rozpakuj go sobie z poziomu nautilus albo komendą: bunzip2 linux64.bz2

    instrukcje jak rozpakować plik w terminalu:
    http://www.ubucentrum.net/2008/11/ko...w-konsoli.html

    sudo add-apt-repository ppa:timekiller/unity-systrayfix
    sudo apt-get update; sudo apt-get upgrade
    sudo mv /home/nazwauzytkownika/Pobrane/GG /home/nazwauzytkownika/GG
    cd /home/nazwauzytkownika/GG
    sudo sh install_unity.sh lub sudo ./install_unity.sh
    sudo reboot - uruchamia ponownie system

    Oczywiście jak ktoś woli istalować GG w katalogu opt, to może sobie zrobić tak:

    sudo mv /home/nazwauzytkownika/Pobrane/GG /opt/GG
    cd /opt/GG
    sudo sh install_unity.sh lub sudo ./install_unity.sh
    sudo reboot - uruchamia ponownie system

    Wciśnij logo windows, wpisz gg , uruchom i gotowe.

    Możesz sobie przypiąć gg do panelu uruchamiania - prawym myszki na ikonę gg w panelu uruchamiania, dodaj do panelu uruchamiania i gotowe.

    Zauważyłem, że systray-fix nieco spowalnia proces uruchamiania systemu podczas logowania, już po wpisaniu hasła, przez chwilę jest czarny ekran. Ale właściwie nie wpływa to w żaden znaczący sposób na pracę systemu. Może tylko nieco irytować ten dłuższy start.

    Może w 14.04 LTS naprawią systray i będzie whitelist, gdzie będzie można dodać GG komendą w terminalu gsettings set com.canonical.Unity.Panel systray-whitelist "['all']['GG']"

    Jak na razie zostaje ręczna zabawa dconf editor.

    Trzeba go sobie zainstalować z poziomu terminala (ctrl+alt+t) sudo apt-get install dconf-editor.

    Po instalacji uruchomić go wciskając logo+r , wpisując dconf i wejść w com, cannocial, unity, panel i kliknąć dwa razy lewym myszki na wartość i dopisać GG.

    Wyglądać to może tak:

    ['JavaEmbeddedFrame', 'Wine', 'Update-notifier', 'GG']

    albo tak ['All', 'GG']

    lub jak komu pasuje, w zależności od tego, co ma się pokazywać w systray.
    Ostatnio edytowane przez webrunner1981 ; 01.03.2014 o 20:08

  3. #3
    Po upgrade do 14.04 LTS Alpha problem pojawia się znów. Póki PPA nie zostanie zaktualizowane do wersji 14.04 nie ma możliwości włączenia whitelist w systray. Osobiście bardzo mi to przeszkadza. Aż dziw bierze, że instalator gadu nie ma ikony w systray zakodowanej na twardo (hardocded), tak jak jest to w przypadku wine, czy java. Ale skoro programiści TrueCrypt też o to nie zadbali, to prędzej autor ppa:timekiller/unity-systrayfix wyda wersję pod 14.04 LTS , gdy ta wydana zostanie oficjalnie 17 kwietnia 2014.

  4. #4

    Whitelist Systray Zasobnik systemowy Gadu Gadu Ubuntu 14.04 LTS

    W Ubuntu 14.04 LTS nieco się zmieniło

    W terminalu (wciśnij ctrl+alt+t) trzeba wykonać te polecenia:

    sudo apt-add-repository ppa:gurqn/systray-trusty
    sudo apt-get update
    sudo apt-get upgrade

    Restart systemu i to wszystko.

    P.S. Proszę o skasowanie tego P.S. po usunięciu załącznika z postu. Nijak się ma on do wcześniejszego postu, który był i na dodatek w ogóle nie było to rozwiązanie. Sprawdziłem sam i nie działało tak, jak powinno. To powyższe działa i rozwiązuje problem.
    Załączone obrazki Załączone obrazki
    Ostatnio edytowane przez webrunner1981 ; 26.04.2014 o 00:42 Powód: Wcześniejsze rozwiązanie nie działało. Proszę usunąć obrazek w załączniku.

  5. #5
    sudo apt-add-repository ppa:timekiller/unity-systrayfix
    sudo apt-get update
    sudo apt-get upgrade

    Po ostatnich zmianach w Ubuntu 14.04 to rozwiązuje problem.

  6. #6
    Znów jest problem. Generalnie o co chodzi? O to: unity 7.2.4+14.04.20150316-0ubuntu1 Po prostu wyszło nowe unity: https://launchpad.net/ubuntu/+source...50316-0ubuntu1

    Dla 64-bit wejść tu: https://launchpad.net/~timekiller/+a...+build/6212386 i pobrać:
    libunity-core-6.0-9_7.2.2+14.04.20140714-0ubuntu1systray1_amd64.deb (584.2 KiB)
    libunity-core-6.0-dev_7.2.2+14.04.20140714-0ubuntu1systray1_amd64.deb (121.7 KiB)
    unity-services_7.2.2+14.04.20140714-0ubuntu1systray1_amd64.deb (124.7 KiB)
    unity_7.2.2+14.04.20140714-0ubuntu1systray1_amd64.deb (1.5 MiB)
    Potem wejść w terminalu w miejsce, gdzie się pobrały pliki (np.: cd /home/nazwauzytkownika/Pobrane) i wykonać polecenie
    sudo apt-get install libupstart1 && sudo dpkg -i *.deb

    Dla 32-bit wejść tu: https://launchpad.net/~timekiller/+a...+build/6212387 i pobrać:

    libunity-2d-private-dev_7.2.2+14.04.20140714-0ubuntu1systray1_all.deb (101.1 KiB)
    libunity-2d-private0_7.2.2+14.04.20140714-0ubuntu1systray1_all.deb (101.1 KiB)
    libunity-core-6.0-9_7.2.2+14.04.20140714-0ubuntu1systray1_i386.deb (589.0 KiB)
    libunity-core-6.0-dev_7.2.2+14.04.20140714-0ubuntu1systray1_i386.deb (121.6 KiB)
    unity-2d-common_7.2.2+14.04.20140714-0ubuntu1systray1_all.deb (101.1 KiB)
    unity-2d-dbg_7.2.2+14.04.20140714-0ubuntu1systray1_all.deb (101.1 KiB)
    unity-2d-panel_7.2.2+14.04.20140714-0ubuntu1systray1_all.deb (101.1 KiB)
    unity-2d-shell_7.2.2+14.04.20140714-0ubuntu1systray1_all.deb (101.1 KiB)
    unity-2d-spread_7.2.2+14.04.20140714-0ubuntu1systray1_all.deb (101.1 KiB)
    unity-2d_7.2.2+14.04.20140714-0ubuntu1systray1_all.deb (101.1 KiB)
    unity-autopilot_7.2.2+14.04.20140714-0ubuntu1systray1_all.deb (163.2 KiB)
    unity-services_7.2.2+14.04.20140714-0ubuntu1systray1_i386.deb (124.2 KiB)
    unity_7.2.2+14.04.20140714-0ubuntu1systray1_i386.deb (1.5 MiB)

    A potem tak samo jak dla 64-bit:

    sudo apt-get install libupstart1 && sudo dpkg -i *.deb

    Jak się wypluje komunikat z zależnościami (depencies)

    Wklepać:

    sudo apt-get -f install

    Zainstaluje wszystkie zależne biblioteki.

    A tak można zatrzymać pakiety, aby nie były aktualizowane do czasu, aż wyjdą ich spatchowane wersje:

    sudo apt-mark hold libunity-core-6.0-9 libunity-core-6.0-dev unity unity-services

    Póki Jason nie zaktualizuje tego: ppa:timekiller/unity-systrayfix można spokojnie mieć zablokowane te aktualizacje.

    Aby odblokować te aktualizacje wystarczy w terminalu wklepać:

    sudo apt-mark unhold libunity-core-6.0-9 libunity-core-6.0-dev unity unity-services

    A taka uwaga do developerów gadu: https://wiki.ubuntu.com/DesktopExper...tionIndicators To by rozwiązało problem.
    Ostatnio edytowane przez webrunner1981 ; 04.05.2015 o 09:43 Powód: Zatrzymanie aktualiacji pakietów bibliotek unity

  7. #7
    Ten artykuł rozwiązuje moim zdaniem sprawę dożywotnio.

    http://www.webupd8.org/2015/05/on-de...or-ubuntu.html

    Instrukcja po polsku:
    Odpalić terminal (ctrl+alt+t)
    Wkleić to:
    sudo apt-add-repository ppa:fixnix/indicator-systemtray-unity
    Wcisnąć Enter
    Wkleić to:
    sudo apt-get update && sudo apt-get install indicator-systemtray-unity
    Jeśli ktoś będzie chciał to usunąć ze swojego systemu, to w terminal wkleić to:
    sudo apt-get purge indicator-systemtray-unity
    Wylogować, zalogować, odpalić gadu, kliknąć kółkiem, lub dwoma klawiszami touchpada w laptopie, na ikonkę tego unity system tray indicator. Pojawi się ikona gadu w tray. Kliknąć lewym myszki na ikonkę system tray indicator i kółkiem myszki zacząć przewijać, by sobie ustawić pozycję ikony gadu w tray, chyba touchpad też pozwala, jak się używa tego suwaczka na nim z prawej strony (tak, jak się strony przewija).

    Ewentualnie w terminal wkleić to:
    sudo apt-get install dconf-editor
    Potem uruchomić dconf editor wciskając klawisz z logo windows i wpisując dconf.
    Po uruchomieniu dconf przejść tutaj: net > launchpad > indicator > systemtray
    Można zmieniać położenie X i Y jak na osi współrzędnych.
    Kiedy tray-is-static jest ustawione na true, to macie pływające ikony na tray. Jeśli zaś na false, to ikony pojawiają się tylko jak się klika lewym na ten system tray indicator od unity. Gdy używasz wielu monitorów, to systemtray jest wyświetlany tylko na głównym monitorze.

    Na koniec, jak ktoś nie lubi dodawać PPA, to w tym linku: http://ppa.launchpad.net/fixnix/indi...temtray-unity/ jest paczka z deb do pobrania i można ją sobie zainstalować, ale wtedy nie będzie opcji na automatyczną aktualizację tej paczki.
    Ostatnio edytowane przez webrunner1981 ; 21.05.2015 o 21:32

Podobne wątki

  1. Odpowiedzi: 53
    Ostatni post / autor: 30.07.2015, 09:46
  2. GG linux ubuntu
    By style33dd in forum Instalacja i Ustawienia
    Odpowiedzi: 42
    Ostatni post / autor: 03.12.2014, 01:15
  3. Problemy z widgetem
    By musli in forum Aplikacja Symbian
    Odpowiedzi: 11
    Ostatni post / autor: 21.06.2012, 17:54
  4. [BŁĄD] Problemy ze zmianą statusów.
    By Asmod96 in forum Testy
    Odpowiedzi: 1
    Ostatni post / autor: 23.02.2012, 21:56
  5. problemy z komunikacją + sugestie
    By key81 in forum Gry przez GG
    Odpowiedzi: 0
    Ostatni post / autor: 23.02.2012, 03:32

Uprawnienia umieszczania postów

  • Nie możesz zakładać nowych tematów
  • Nie możesz pisać wiadomości
  • Nie możesz dodawać załączników
  • Nie możesz edytować swoich postów
  •